Subject: Re: [PATCH net v6] net: sched: cls_u32: Fix u32's systematic failure to free IDR entries for hnodes.

From: Jakub Kicinski <[email-masked]>
Date: Wed, 13 Nov 2024 16:41:10 -0800

On Wed, 13 Nov 2024 09:17:09 -0500 Jamal Hadi Salim wrote:
> >   Co-posting selftests
> >   --------------------
> >
> >   Selftests should be part of the same series as the code changes.
> >   Specifically for fixes both code change and related test should go into
> >   the same tree (the tests may lack a Fixes tag, which is expected).
> >   Mixing code changes and test changes in a single commit is discouraged.  
> 
> Just the last sentence:
> Mixing unrelated (to the fix) code changes and test changes in a
> single commit is discouraged.

Perfect example why things are not documented.
I have no idea what you're trying to say..
I think you're the only person who is getting this wrong,
so I'll toss the documentation patch.